Anchor a bare SHA-256 digest (no account)
POST
/v1/stamp
const url = 'https://api.hardstate.net/v1/stamp';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"digest":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.hardstate.net/v1/stamp \ --header 'Content-Type: application/json' \ --data '{ "digest": "example" }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
digest
required
string
Example generated
{ "digest": "example"}Responses
Section titled “Responses”{ hash, status, proof, verify }
Rate limited
HardState is a Zevlat Intelligence venture. © 2026 Zevlat Intelligence.